﻿using STOContracts.BindingModels;
using STOContracts.SearchModels;
using STOContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace STOContracts.BusinessLogicContracts
{
    public interface ICarPartLogic
    {
        List<CarPartViewModel>? ReadList(CarPartSearchModel? model);
        CarPartViewModel? ReadElement(CarPartSearchModel model);
        bool Create(CarPartBindingModel model);
        bool Update(CarPartBindingModel model);
        bool Delete(CarPartBindingModel model);
    }
}
