﻿using STOContracts.BindingModels;
using STOContracts.SearchModels;
using STOContracts.ViewModels;

namespace STOContracts.BusinessLogicsContracts
{
    public interface ITechnicalWorkLogic
    {
        List<TechnicalWorkViewModel>? ReadList(TechnicalWorkSearchModel? model);
        TechnicalWorkViewModel? ReadElement(TechnicalWorkSearchModel model);
        bool Create(TechnicalWorkBindingModel model);
        bool Update(TechnicalWorkBindingModel model);
        bool Delete(TechnicalWorkBindingModel model);
    }
}
