﻿using STODataModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace STOContracts.BindingModels
{
    public class CarBindingModel : ICarModel
    {
        public int Id { get; set; }

        public string CarNumber { get; set; }

        public string CarBrand { get; set; } = string.Empty;

        public string CarModel { get; set; } = string.Empty;
        public DateTime Year { get; set; } = DateTime.MinValue;
        
        public Dictionary<int, (ITechnicalWorkModel, int)> CarTechnicalWorks { get; set; } = new();
        
        public int ClientId { get; set; }
    }
}
