﻿using STODataModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace STOContracts.BindingModels
{
    public class TechnicalWorkBindingModel: ITechnicalWorkModel
    {
        public int Id { get; set; }
        public string Name { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public DateTime Date { get; set; } = DateTime.MinValue;
        public Dictionary<int, (IWorkModel, int)> TechnicalworkWorks { get; set; } = new();
    }
}
